Package oracle.sql

## Class OPAQUE

- java.lang.Object
- - oracle.sql.Datum
  - - oracle.sql.DatumWithConnection
    - - oracle.sql.OPAQUE

All Implemented Interfaces:
  `java.io.Serializable`, `oracle.jdbc.internal.ACProxyable`, `oracle.jdbc.internal.OracleDatumWithConnection`, `oracle.jdbc.internal.OracleOpaque`, `OracleOpaque`

    public class OPAQUE
    extends DatumWithConnection
    implements oracle.jdbc.internal.OracleOpaque

Deprecated.
Use oracle.jdbc.OracleOpaque interface for declaration instead of using concrete class oracle.sql.OPAQUE.
A class for opaque data type. Use `OracleOpaque` interface for declaration instead of using concrete class oracle.sql.OPAQUE. oracle.jdbc.OracleOpaque has methods declared for all opertions.

Obtaining an OracleOpaque from `OracleResultSet`

`oracle.jdbc.OracleOpaque opaque = ((OracleResultSet)resultSet).getOPAQUE(...);`

Since:
  8.2
See Also:
  `OracleOpaque`, Serialized Form

### Field Summary

### Fields inherited from class oracle.sql.DatumWithConnection

`targetDatumWithConnection`

### Fields inherited from class oracle.sql.Datum

`ojiOracleDatumWithConnection, targetDatum`

### Constructor Summary

Constructors
`OPAQUE​(OpaqueDescriptor type, java.sql.Connection conn, java.lang.Object value)` Deprecated. Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`byte[]` `getBytesValue()` Deprecated. Return a byte array that represents the attributes into the format that is actually used in the database.
`OpaqueDescriptor` `getDescriptor()` Deprecated. Oracle extension.
`java.sql.Connection` `getJavaSqlConnection()` Deprecated. Oracle extension Return the java.sql.Connection associated with the receiver.
`OracleTypeMetaData` `getOracleMetaData()` Deprecated. Return the type data for this object
`java.lang.String` `getSQLTypeName()` Deprecated. Implements the Struct interface function Retrieves the SQL type name of the SQL structured type that this `Struct` object represents.
`java.lang.Object` `getValue()` Deprecated. Return the Opaque value.
`boolean` `isConvertibleTo​(java.lang.Class<?> jClass)` Deprecated. Determines if datum object can be converted to a particular class
`java.lang.String` `stringValue()` Deprecated. Convert to a String representation of the datum object
`java.lang.Object` `toJdbc()` Deprecated. Returns the JDBC representation of the datum object

### Methods inherited from class oracle.sql.DatumWithConnection

`assertNotNull, assertNotNull, getConnection, getConnectionDuringExceptionHandling, getOracleConnection`

### Methods inherited from class oracle.sql.Datum

`asciiStreamValue, bigDecimalValue, binaryStreamValue, booleanValue, bytesEqual, bytesHashCode, byteValue, characterStreamValue, compareBytes, dateValue, doubleValue, equals, floatValue, getBytes, getLength, getStream, intValue, isNull, longValue, setBytes, setShareBytes, shareBytes, stringValue, timestampValue, timestampValue, timeValue, timeValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.internal.OracleDatumWithConnection

`asciiStreamValue, bigDecimalValue, binaryStreamValue, booleanValue, byteValue, characterStreamValue, dateValue, doubleValue, floatValue, getBytes, getConnection, getInternalConnection, getLength, getOracleConnection, getStream, intValue, longValue, setBytes, setPhysicalConnectionOf, setShareBytes, shareBytes, stringValue, timestampValue, timestampValue, timeValue, timeValue`

### Constructor Detail

#### OPAQUE

    public OPAQUE​(OpaqueDescriptor type,
                  java.sql.Connection conn,
                  java.lang.Object value)
           throws java.sql.SQLException

Deprecated.
Constructor. The raw bytes are computed at this time or a copy of attributes is made. In any event the caller is free to modify the array without affecting the values held in the OPAQUE.

Parameters:
  `type` - the SQLStructType used to convert the type to
  `attributes` - the array specifying the attributes to be converted to raw bytes.
Throws:
  `java.sql.SQLException`
See Also:
  `oracle.sql.SQLStructType`

### Method Detail

#### getSQLTypeName

    public java.lang.String getSQLTypeName()
                                    throws java.sql.SQLException

Deprecated.
Implements the Struct interface function Retrieves the SQL type name of the SQL structured type that this `Struct` object represents.

Specified by:
  `getSQLTypeName` in interface `OracleOpaque`
Returns:
  the fully-qualified type name of the SQL structured type for which this `Struct` object is the generic representation
Throws:
  `java.sql.SQLException` - if a database access error occurs

#### stringValue

    public java.lang.String stringValue()
                                 throws java.sql.SQLException

Deprecated.
Description copied from class: `Datum`
Convert to a String representation of the datum object

Specified by:
  `stringValue` in interface `oracle.jdbc.internal.OracleDatumWithConnection`
Overrides:
  `stringValue` in class `Datum`
Returns:
  String representation of the datum object
Throws:
  `java.sql.SQLException`

#### getOracleMetaData

    public OracleTypeMetaData getOracleMetaData()
                                         throws java.sql.SQLException

Deprecated.
Return the type data for this object

Specified by:
  `getOracleMetaData` in interface `OracleOpaque`
Returns:
  type metadata
Throws:
  `java.sql.SQLException` - if an error occurs
Since:
  11.2.0.3.0

#### getDescriptor

    public OpaqueDescriptor getDescriptor()
                                   throws java.sql.SQLException

Deprecated.
Oracle extension. Return the OpaqueDescriptor object that contains the type information.

Specified by:
  `getDescriptor` in interface `oracle.jdbc.internal.OracleOpaque`
Returns:
  the type descriptor
Throws:
  `java.sql.SQLException`

#### getValue

    public java.lang.Object getValue()
                              throws java.sql.SQLException

Deprecated.
Return the Opaque value.

Specified by:
  `getValue` in interface `OracleOpaque`
Returns:
  a Java object that represents the opaque value
Throws:
  `java.sql.SQLException`

#### getBytesValue

    public byte[] getBytesValue()
                         throws java.sql.SQLException

Deprecated.
Return a byte array that represents the attributes into the format that is actually used in the database.

Specified by:
  `getBytesValue` in interface `oracle.jdbc.internal.OracleOpaque`
Returns:
  a byte array that represents the opaque value
Throws:
  `java.sql.SQLException`

#### isConvertibleTo

    public boolean isConvertibleTo​(java.lang.Class<?> jClass)

Deprecated.
Determines if datum object can be converted to a particular class

Specified by:
  `isConvertibleTo` in interface `oracle.jdbc.internal.OracleDatumWithConnection`
Specified by:
  `isConvertibleTo` in interface `oracle.jdbc.internal.OracleOpaque`
Specified by:
  `isConvertibleTo` in class `Datum`
Parameters:
  `cls` - Class to convert to
Returns:
  true, if conversion to cls is permitted false, if conversion to cls is not permitted

#### toJdbc

    public java.lang.Object toJdbc()
                            throws java.sql.SQLException

Deprecated.
Returns the JDBC representation of the datum object

Specified by:
  `toJdbc` in interface `oracle.jdbc.internal.OracleDatumWithConnection`
Specified by:
  `toJdbc` in interface `oracle.jdbc.internal.OracleOpaque`
Specified by:
  `toJdbc` in class `Datum`
Returns:
  an object containing the JDBC value
Throws:
  `java.sql.SQLException` - if conversion to JDBC representation results in an error

#### getJavaSqlConnection

    public java.sql.Connection getJavaSqlConnection()
                                             throws java.sql.SQLException

Deprecated.
Description copied from class: `DatumWithConnection`
Oracle extension Return the java.sql.Connection associated with the receiver. Since 9.0.0 not all Oracle JDBC connection objects are assignment compatible with oracle.jdbc.driver.OracleConnection. If the connection is wrapped, return the outermost wrapper.

Specified by:
  `getJavaSqlConnection` in interface `oracle.jdbc.internal.OracleDatumWithConnection`
Specified by:
  `getJavaSqlConnection` in interface `oracle.jdbc.internal.OracleOpaque`
Overrides:
  `getJavaSqlConnection` in class `DatumWithConnection`
Returns:
  the connection
Throws:
  `java.sql.SQLException` - if an error occurs